
<!-- IMAGE ROTATE - This rotator DOES fade in and out! -->
//<script type="text/javascript">
//	var duration = 4000;
//</script>   
//<script type="text/javascript" src="<%=config_base_url%>js/image_rotate.js"></script>   
//<div class="rotator">
//  <ul>
//	 <li class="show">
//		 <a href="javascript:void(0)">
//			 <img src="<%=config_base_url%>images/banner_image.png">
//		 </a>
//	 </li>
//	 <li>
//		 <a href="javascript:void(0)">
//			 <img src="<%=config_base_url%>images/banner_image_2.png">
//		 </a>
//	 </li>
//	 <li>
//		 <a href="javascript:void(0)">
//			 <img src="<%=config_base_url%>images/banner_image_3.png">
//		 </a>
//	 </li>
//	 <!--li>
//		 <a href="javascript:void(0)">
//		 <img src="images/image-4.jpg" width="500" height="313"  alt="pic4" />
//		 </a>
//	 </li-->
//  </ul>
//</div>
<!-- END IMAGE ROTATE -->


//div.rotator 
//{
//position: absolute;	
//right: 20px;
//top: 60px;	
//border: 0px solid #3c3c3c;
//width: 673px;
//height: 260px;	
//margin: 0px;
//padding: 0px;				
//}
//
//	div.rotator ul
//	{	
//	margin: 0px;
//	padding: 0px;				
//	}	
//	
//		div.rotator ul li 
//		{
//		float:left;
//		position:absolute;
//		list-style: none;
//		margin: 0px;
//		padding: 0px;		
//		}
//		
//		div.rotator ul li img 
//		{
//		width: 673px;
//		height: 260px;	
//		margin: 0px;
//		padding: 0px;
//		}
//				  
//		div.rotator ul li.show 
//		{
//		z-index:500;
//		}

//jQuery(document).ready(function($){
function theRotator() {
	//Set the opacity of all images to 0
	$j('div.rotator ul li').css({opacity: 0.0});
	
	//Get the first image and display it (gets set to full opacity)
	$j('div.rotator ul li:first').css({opacity: 1.0});
		
	//Call the rotator function to run the slideshow, 6000 = change to next image after 6 seconds
	
	//setInterval('rotate()',6000);
	setInterval('rotate()',duration);
	
}

function rotate() {	
	//Get the first image
	var current = ($j('div.rotator ul li.show')?  $j('div.rotator ul li.show') : $j('div.rotator ul li:first'));

	 if ( current.length == 0 ) current = $j('div.rotator ul li:first');

	//Get next image, when it reaches the end, rotate it back to the first image
	var next = ((current.next().length) ? ((current.next().hasClass('show')) ? $j('div.rotator ul li:first') :current.next()) : $j('div.rotator ul li:first'));
	
	//Un-comment the 3 lines below to get the images in random order
	
	//var sibs = current.siblings();
		  //var rndNum = Math.floor(Math.random() * sibs.length );
		  //var next = $( sibs[ rndNum ] );
			

	//Set the fade in effect for the next image, the show class has higher z-index
	next.css({opacity: 0.0})
	.addClass('show')
	.animate({opacity: 1.0}, 2000);

	//Hide the current image
	current.animate({opacity: 0.0}, 2000)
	.removeClass('show');
	
};

var $j = jQuery.noConflict();
//jQuery(document).ready(function(j$){
$j(document).ready(function() {		
	//Load the slideshow
	theRotator();
	$j('div.rotator').fadeIn(1000);
	$j('div.rotator ul li').fadeIn(1000); // tweek for IE
});

         